<template>
<c-page title="出口信用证查询">
  <!-- <div class="eContainer"> -->
    <el-form :model="model" :rules="rules" ref="modelForm" label-width="150px" label-position="right" size="small" :validate-on-rule-change="false">
       <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="myTabClick">
        
            <!--PD000035 -->
           <el-tab-pane label="查询" name="sel">
                <m-sel :model="model" :codes="codes"/>
           </el-tab-pane>
       </c-tabs>
    </el-form>
    <c-grid-ety-prompt-dialog
      ref="etyDialog"
      :promptData="promptData"
      v-on:select-ety="selectEty"
    >
    </c-grid-ety-prompt-dialog>
  <!-- </div> -->
 </c-page>
</template>
<script>
import Api from "~/service/Api"
import CodeTable from "~/config/CodeTable"
import Detsel from "~/model/Detsel"
import CommonProcess from "~/mixin/CommonProcess"
import Check from "~/model/Detsel/Check"
import Default from "~/model/Detsel/Default"
import Pattern from "~/model/Detsel/Pattern"
import Sel from "./Sel"


export default {
    name: "Detsel",
    components:{
        "m-sel" : Sel,
    },
    provide() {
        return {
            root: this
        }
    },
    mixins: [CommonProcess],    // 里面包含了Default、Check等的公共处理
    data(){
        return {
            tabVal: "",
            trnName: "detsel",
            model: new Detsel().data,
            checkRules: Check,
            defaultRules: Default,
            pattern: Pattern,
            rules: null,
            codes: {
            },
        }
    },
    methods:{
        myTabClick(tab){
            this.tabClick(tab)
            /**
            *  do it yourself
            **/
        }
    },
    created:async function(){
        console.log("进入detsel交易");
        let rtnmsg = await this.init({})
        if(rtnmsg.respCode == SUCCESS)
        {
           this.updateModel(rtnmsg.data)
           //TODO 处理数据逻辑
            Utils.copyValueFromVO(this.model, rtnmsg.data);

        }
        else
        {
            this.$notify.error({title: '错误',message: '服务请求失败！'});
        }
    }
}
</script>
<style>

</style>
